Loading...
Searching...
No Matches
OpenMesh::VDPM::VHierarchyWindow Class Reference

`#include <OpenMesh/Tools/VDPM/VHierarchyWindow.hh>`

## Public Member Functions

| VHierarchyWindow (VHierarchy &_vhierarchy)
void | set_vertex_hierarchy (VHierarchy &_vhierarchy)
void | begin ()
void | next ()
bool | end ()
int | window_size () const
size_t | buffer_size () const
VHierarchyNodeHandle | node_handle ()
void | activate (VHierarchyNodeHandle _node_handle)
void | inactivate (VHierarchyNodeHandle _node_handle)
bool | is_active (VHierarchyNodeHandle _node_handle) const
void | init (VHierarchyNodeHandleContainer &_roots)
void | update_with_vsplit (VHierarchyNodeHandle _parent_handle)
void | update_with_ecol (VHierarchyNodeHandle _parent_handle)

## Detailed Description

Todo:
  VHierarchyWindow documentation

The documentation for this class was generated from the following files:

- OpenMesh/Tools/VDPM/VHierarchyWindow.hh
- OpenMesh/Tools/VDPM/VHierarchyWindow.cc